%define name	sylpheed
%define version 3.5.1
%define major	1.2
%define libapi 0
%define libmajor 0
%define libname %mklibname %name %libapi %libmajor
%define develname %mklibname -d %name

Summary:	A GTK+2 based, lightweight, and fast e-mail client
Summary(de):	Ein leichter und schneller Email Client basierend auf GTK+2
Name:		%{name}
Version:	%{version}
Release:	%mkrel 2
Group:		Networking/Mail
Source0:	http://sylpheed.sraoss.jp/sylpheed/v%{major}/sylpheed-%{version}.tar.xz
License:	GPLv2
URL:		http://sylpheed.sraoss.jp/en/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	desktop-file-utils
BuildRequires:	gtk+2-devel
BuildRequires:	libgpgme-devel >= 0.4.5
BuildRequires:	ImageMagick
BuildRequires:	libpisock-devel
BuildRequires:	openldap-devel
BuildRequires:	libgtkspell-devel
Requires:	pinentry-gtk2
Provides:	sylpheed-main
Provides:	sylpheed2
Obsoletes:	sylpheed2
Obsoletes: 	%{name} < %version

%description
Sylpheed is a simple, lightweight but featureful, and easy-to-use e-mail client (mailer, MUA).
Sylpheed runs on Unix-like systems such as Linux, BSD, and Mac OS X. It also supports Windows.
Sylpheed uses GTK+2 GUI toolkit.

%description -l de
Sylpheed ist ein einfaches, leicht aber vielfältig und einfach zu bedienenden E-Mail-Client (Mailer, MUA).
Sylpheed läuft auf Unix-ähnlichen Systemen wie Linux, BSD und Mac OS X. Es unterstützt auch Windows.
Sylpheed benutzt GTK 2-GUI-Toolkit.


%package i10n
Summary:    	Internationalisation files for %{name}
Summary(de):	Internationale Sprachdateien für %{name}
Group:      	%{group}
Requires:   	%{name}

%description i10n
%{summary}.

#german
%description i10n -l de
%{summary}.

%package devel
Summary: Development files for %name
Summary(de): Entwicklerdateien für %{name}
Group: Networking/Mail
Requires: %name = %version
Provides: %name-devel = %version-%release

%description devel
%{summary}.
#german
%description devel -l de
%{summary}.


%prep
%setup -q -n %{name}-%{version}

%build 

%configure2_5x	--enable-gpgme \
		--disable-jpilot \
		--enable-ssl \
		--enable-ldap \
		--enable-ipv6

%make

%install
rm -rf $RPM_BUILD_ROOT
%{makeinstall_std}

mkdir -p %{buildroot}{%{_miconsdir},%{_iconsdir},%{_liconsdir}}
convert sylpheed.png -geometry 48x48 %{buildroot}%{_liconsdir}/%{name}.png
convert sylpheed.png -geometry 32x32 %{buildroot}%{_iconsdir}/%{name}.png
convert sylpheed.png -geometry 16x16 %{buildroot}%{_miconsdir}/%{name}.png

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
install -m 644 sylpheed.desktop $RPM_BUILD_ROOT%{_datadir}/applications

desktop-file-install --vendor="" \
--remove-category="Application" \
--add-category="GTK" \
--add-category="X-MandrivaLinux-Internet-Mail" \
--dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

rm -rf $RPM_BUILD_ROOT%{_libdir}/*.la


%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog* NEWS README* INSTALL* TODO*
%{_bindir}/*
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/faq
%lang(de) %doc %{_datadir}/%{name}/faq/de
%lang(en) %doc %{_datadir}/%{name}/faq/en
%lang(es) %doc %{_datadir}/%{name}/faq/es
%lang(fr) %doc %{_datadir}/%{name}/faq/fr
%lang(it) %doc %{_datadir}/%{name}/faq/it
%dir %{_datadir}/%{name}/manual
%lang(en) %doc %{_datadir}/%{name}/manual/en
%lang(ja) %doc %{_datadir}/%{name}/manual/ja
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/%{name}.png
%{_libdir}/*.so.1
%{_libdir}/*.so.%{major}*
%{_iconsdir}/*.png
%{_iconsdir}/large/*.png
%{_iconsdir}/mini/*.png

%files i10n
%defattr(-,root,root,-)
%{_datadir}/locale/*

%files devel
%defattr(-,root,root)
%{_libdir}/*.so
%{_includedir}/%name


%changelog
* Thu Dec 08 2016 adrianomorselli <adrianomorselli> 3,.5.1-1uplos2016
- rebuild

* Sat Jul 30 2016 daniel <meisssw01 at gmail.com> 3.5.1-1pclos2016
- update 

* Tue May 10 2016 marcin82 <marcin82 at vp.pl> 3.5.0-2pclos2016
- added R: pinentry-gtk2

* Tue Jan 26 2016 bb <bb> 3.5.0-1pclos2016
- update

* Thu Jul 09 2015 daniel <meisssw01 at gmail.com> 3.4.3-1pclos2015
- upstream tarball

* Tue Jun 10 2014 daniel <meisssw01 at gmail.com> 3.4.2-1free2014
- upstream tarball
